/// Ready-made Flutter package for collecting suggestions from users.
///
/// **Suggest a feature** is a ready-made module which allows other developers
/// to implement additional menu in their own mobile app where users can share
/// their suggestions about the application in real time, discuss them with
/// others, and vote for each other's suggestions.
library suggest_a_feature;

export 'src/data/interfaces/suggestions_data_source.dart';
export 'src/domain/entities/admin_settings.dart';
export 'src/domain/entities/comment.dart';
export 'src/domain/entities/suggestion.dart';
export 'src/domain/entities/suggestion_author.dart';
export 'src/presentation/l10n/suggestions_localizations.dart';
export 'src/presentation/pages/suggestions/suggestions_page.dart';
export 'src/presentation/pages/theme/suggestions_theme.dart';
export 'src/presentation/pages/widgets/appbar_widget.dart';
export 'src/presentation/utils/typedefs.dart';
